NXP NFC Reader Library v4.040.05.011646

Modules | Data Structures | Macros | Functions
component : Rc523
Hardware Abstraction Layer

RC523 Reader HAL. More...

Collaboration diagram for component : Rc523:

## Modules
| Commands
| Supported ReaderIC commands.
| Internal
| Internal definitions.
| Register Definitions
| Register definitions.
| Configuration
| Custom Configuration of hardware related settings.

## Data Structures
struct | phhalHw_Rc523_DataParams_t
| Rc523 HAL parameter structure. More...

## Macros
#define | PHHAL_HW_RC523_ID 0x02
| ID for Rc523 HAL component. More...
#define | PHHAL_HW_RC523_SHADOW_COUNT 0x000FU
| Number of shadowed configurations. More...

## Functions
phStatus_t | phhalHw_Rc523_Init (phhalHw_Rc523_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, void *pBalDataParams, void *pKeyStoreDataParams, uint8_t *pTxBuffer, uint16_t wTxBufSize, uint8_t *pRxBuffer, uint16_t wRxBufSize)
| Initialize the HAL component. More...

## Detailed Description

RC523 Reader HAL.

This HAL supports all the additional features required for Pn512 :
Pn512 and Rc523 are compatible for the common features that they support.

## Macro Definition Documentation

## § PHHAL_HW_RC523_ID

#define PHHAL_HW_RC523_ID 0x02

ID for Rc523 HAL component.

## § PHHAL_HW_RC523_SHADOW_COUNT

#define PHHAL_HW_RC523_SHADOW_COUNT 0x000FU

Number of shadowed configurations.

## Function Documentation

## § phhalHw_Rc523_Init()

phStatus_t phhalHw_Rc523_Init | ( | phhalHw_Rc523_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | void * | pBalDataParams,
|  | void * | pKeyStoreDataParams,
|  | uint8_t * | pTxBuffer,
|  | uint16_t | wTxBufSize,
|  | uint8_t * | pRxBuffer,
|  | uint16_t | wRxBufSize
| ) |  |

Initialize the HAL component.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | wSizeOfDataParams | Specifies the size of the data parameter structure.
  [in] | pBalDataParams | Pointer to the lower layers parameter structure.
  [in] | pKeyStoreDataParams | Pointer to the parameter structure of the keyStore layer.
  [in] | pTxBuffer | Pointer to global transmit buffer used by the phhalHw_Exchange() function.
  [in] | wTxBufSize | Size of the global transmit buffer.
  [in] | pRxBuffer | Pointer to global receive buffer used by the phhalHw_Exchange() function.
  [in] | wRxBufSize | Size of the global receive buffer. Specify the buffer +1 byte, because one byte is reserved for SPI communication.